Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.nds
Class NdsOctetString

    java.lang.Object
      |
      +--com.novell.service.nds.NdsOctetString

public class NdsOctetString
extends java.lang.Object
implements NdsAttributeValue, , java.lang.Cloneable, java.io.Serializable

Provides access to values of the OctetString attribute. It is used for attributes whose values are byte strings that are not interpreted by NDS.

For two octet strings to match, they must be the same length and the corresponding bit sequence (octets) must be identical. When comparing two octet strings, the first pair of octets that do not match are used to determine the order of the strings. Octet strings are not Unicode strings.

Matching Rules: Equality and Ordering

See Also:
  `NdsSyntaxId`, Serialized Form

Constructor Summary
`NdsOctetString(byte[] value)` Constructs an NdsOctetString object based on the specified value variable.

Method Summary
`boolean` | `approximate(java.lang.Object anObject)` Compares two Objects using the approximate matching rule.
`java.lang.Object` | `clone()` Creates a new object of the same class as this object.
`int` | `compareTo(java.lang.Object anObject)` Compares two objects for ordering, or compares two strings lexicographically.
`int` | `count()` Returns the number of elements in this sequence.
`boolean` | `equals(java.lang.Object anObject)` Compares two Objects for equality.
`int` | `getLength()` Returns the length of the OctetString.
`int` | `getNdsSyntaxId()` Returns the int that represents this NDS syntax ID.
`byte[]` | `getOctetString()` Returns the byte array of values stored in the NDS attribute.
`java.util.Enumeration` | `getValues()` Returns an enumeration of this sequence's values.
`boolean` | `supportsMatchingRules(int matchingRules)` Checks to see if this object supports the specified matching rules.
`java.lang.String` | `toString()` Generates a string representation of the object.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NdsOctetString

    public NdsOctetString(byte[] value)

  Constructs an NdsOctetString object based on the specified value variable.
  Parameters:
    `value` - The octet string to be stored as a byte array.

Method Detail

### compareTo

    public int compareTo(java.lang.Object anObject)
                  throws java.lang.Exception

  Compares two objects for ordering, or compares two strings lexicographically. For the Octet String syntax, the compareTo method compares this NDS Object with a reference NDS Object contained in the anObject parameter. The comparison is done according to the Ordering matching rule for this syntax.
  Parameters:
    `anObject` - The reference NDS Object with which to compare.
  Returns:
    An int set to 0 if the reference Object is equal to this Object; an int <0 if the reference Object is less than this Object; an int >0 if the reference Object is greater than this Object.
  Throws:
    java.lang.IllegalArgumentException - The passed-in object is of a different type than this NDS Object.

### equals

    public boolean equals(java.lang.Object anObject)

  Compares two Objects for equality. The equals method compares this object value with the value of the reference object in the anObject parameter.

  The equals method implements the most discriminating possible equivalence relation on objects; that is, for any reference values X and Y, this method returns TRUE if and only if X and Y refer to the same object (X==Y has the value TRUE).

  Parameters:
    `anObject` - The reference object with which to compare.
  Returns:
    A boolean set to TRUE if and only if the argument is not NULL and is an NDS integer object that contains the same value as this object, otherwise set to FALSE.
  Overrides:
    equals in class java.lang.Object

### count

    public int count()

  Returns the number of elements in this sequence.
  Specified by:
    count in interface
  Returns:
    The number of elements in this sequence as an int.

### getValues

    public java.util.Enumeration getValues()

  Returns an enumeration of this sequence's values.
  Specified by:
    getValues in interface
  Returns:
    An enumeration of value elements.

### approximate

    public boolean approximate(java.lang.Object anObject)
                        throws java.lang.Exception

  Compares two Objects using the approximate matching rule. The approximate method does not apply to the Octet String syntax because this syntax does not support the approximate equals matching rule.
  Specified by:
    approximate in interface NdsAttributeValue

### getNdsSyntaxId

    public int getNdsSyntaxId()

  Returns the int that represents this NDS syntax ID.
  Specified by:
    getNdsSyntaxId in interface NdsAttributeValue
  Returns:
    The syntax ID as an int.

### supportsMatchingRules

    public boolean supportsMatchingRules(int matchingRules)

  Checks to see if this object supports the specified matching rules. The OctetString syntax supports both the Equality and Ordering matching rules.
  Specified by:
    supportsMatchingRules in interface NdsAttributeValue
  Parameters:
    `matchingRules` - The set of matching rules to check.
  Returns:
    A Boolean set to TRUE if the matching rules for this object are equal to the matchingRules parameter.

### clone

    public java.lang.Object clone()

  Creates a new object of the same class as this object. It then initializes each of the new object's fields by assigning them the same value as the corresponding fields in this object. No constructor is called.
  Returns:
    A clone of this object instance containing the cloned syntax.
  Overrides:
    clone in class java.lang.Object

### toString

    public java.lang.String toString()

  Generates a string representation of the object. It returns a string that textually represents the object. The result should be a concise but informative representation that is easy to read.
  Returns:
    The String representation of the object.
  Overrides:
    toString in class java.lang.Object

### getLength

    public int getLength()

  Returns the length of the OctetString.
  Returns:
    The length of the OctetString as an int.

### getOctetString

    public byte[] getOctetString()

  Returns the byte array of values stored in the NDS attribute.
  Returns:
    The byte array of values.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD